%define upstream_name    AI-Genetic
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A class that implements various selection operators
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/AI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
This module implements a Genetic Algorithm (GA) in pure Perl. Other Perl
modules that achieve the same thing (perhaps better, perhaps worse) do
exist. Please check CPAN. I mainly wrote this module to satisfy my own
needs, and to learn something about GAs along the way.

*PLEASE NOTE:* As of v0.02, AI::Genetic has been re-written from scratch to
be more modular and expandable. To achieve this, I had to modify the API,
so it is not backward-compatible with v0.01. As a result, I do not plan on
supporting v0.01.

I will not go into the details of GAs here, but here are the bare basics.
Plenty of information can be found on the web.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.50.0-12.mga10
+ Revision: 2202597
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.50.0-11.mga9
+ Revision: 1808119
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-10.mga8
+ Revision: 1503354
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-9.mga7
+ Revision: 1281530
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.50.0-8.mga7
+ Revision: 1162762
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-7.mga6
+ Revision: 1022199
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.50.0-6.mga6
+ Revision: 935945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 750399
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 683408
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 508953
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 362757
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.50.0-1.mga2
+ Revision: 169468
- imported package perl-AI-Genetic


* Sat Nov 19 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
